Skip to main content
GET
/
api
/
public
/
v1
/
transactions
List user transactions
curl --request GET \
  --url https://api.wallbit.io/api/public/v1/transactions \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.wallbit.io/api/public/v1/transactions"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.wallbit.io/api/public/v1/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "data": [
      {
        "uuid": "550e8400-e29b-41d4-a716-446655440000",
        "type": "WITHDRAWAL_LOCAL",
        "external_address": "Juan Perez",
        "source_currency": {
          "code": "USD",
          "alias": "USD"
        },
        "dest_currency": {
          "code": "USD",
          "alias": "USD"
        },
        "source_amount": 100,
        "dest_amount": 100,
        "status": "COMPLETED",
        "created_at": "2024-01-15T10:30:00.000000Z",
        "comment": null
      }
    ],
    "pages": 5,
    "current_page": 1,
    "count": 50
  }
}

Authorizations

X-API-Key
string
header
required

API Key authentication. Obtain your API key from the Wallbit dashboard under Settings → API Keys.

Query Parameters

page
integer
default:1

Page number (default: 1)

Required range: x >= 1
limit
enum<integer>
default:10

Number of results per page

Available options:
10,
20,
50
status
string

Filter by transaction status

Example:

"COMPLETED"

type
string

Filter by transaction type

Example:

"TRADE"

currency
enum<string>

Filter by currency

Available options:
USD,
EUR,
ARS,
MXN,
USDC,
USDT,
BOB,
COP,
PEN,
DOP,
BRL,
PHP,
CLP,
GTQ,
PAB,
CRC
Example:

"USD"

from_date
string<date>

Start date of range (format: Y-m-d)

Example:

"2024-01-01"

to_date
string<date>

End date of range (format: Y-m-d)

Example:

"2024-12-31"

from_amount
number

Minimum amount filter

Required range: x >= 0
Example:

100

to_amount
number

Maximum amount filter

Required range: x >= 0
Example:

1000

Response

List of transactions

data
object